commit a6a89818246b0b14c0fe3d00d6120929fc0a11d9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 20 10:21:39 2018 -0400

    1.42.4

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 71aaeaf020340412b8d012fe23a556c0420eda5f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 17 22:29:36 2018 -0400

    Prevent an assertion with invalid Unicode sequences

    Invalid Unicode sequences, such as 0x2665 0xfe0e 0xfe0f,
    can trick the Emoji iter code into returning an empty
    segment, which then triggers an assertion in the itemizer.

    Prevent this by ensuring that we make progress.

    This issue was reported by Jeffrey M.

 pango/pango-emoji.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit ccfd3b466ca43b202681ce951600aac8f97d8dc4
Merge: 0cbae46c 3d04cc2b
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Aug 4 20:12:22 2018 +0000

    Merge branch 'c89' into 'master'

    Fix build failure in C89 mode

    See merge request GNOME/pango!10

commit 0cbae46ca1d0a1bbf50ddd69553e047118812be5
Merge: 67471cbf dce7ba63
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Aug 4 20:11:11 2018 +0000

    Merge branch 'surrogate' into 'master'

    Fix build failure on Mac OS X 10.5 and earlier

    Closes #263

    See merge request GNOME/pango!11

commit dce7ba63ed8b0567f674ade72da827d4a4c1b603
Author: Ryan Schmidt <git@ryandesign.com>
Date:   Sat Aug 4 12:20:02 2018 -0500

    Fix build failure on Mac OS X 10.5 and earlier

    Provides definitions of CFStringIsSurrogateHighCharacter,
    CFStringIsSurrogateLowCharacter and
    CFStringGetLongCharacterForSurrogatePair.

    Closes #263

 pango/pangocoretext-shape.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 3d04cc2bbdce0a8b561d0e19255309f8d470816e
Author: Ryan Schmidt <git@ryandesign.com>
Date:   Sat Aug 4 11:57:31 2018 -0500

    Fix build failure in C89 mode

    Fixes build error with default compilers on Mac OS X 10.6 and earlier:

    pangocoretext-fontmap.c: In function
    ‘pango_core_text_fontset_new’:
    pangocoretext-fontmap.c:1563: error: ‘for’ loop initial
    declaration used outside C99 mode

 pango/pangocoretext-fontmap.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 67471cbfe24cd4418e9e97837ac85207f0d974de
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 30 13:32:51 2018 -0400

    1.42.3

 configure.ac | 2 +-
 meson.build  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit cab3c9844487526f1996a150adac5bde44f48a70
Merge: 87e71365 5c467cdb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jul 28 11:27:25 2018 +0000

    Merge branch 'wip/chergert/bidi-leak' into 'master'

    bidi: fix leak of bidi bracket types

    See merge request GNOME/pango!8

commit 5c467cdbae02233b04c97ba10a11f124b2d33eba
Author: Christian Hergert <chergert@redhat.com>
Date:   Fri Jul 27 20:43:06 2018 -0700

    bidi: fix leak of bidi bracket types

    This fixes a leak when goto is used to jump past the cleanup of the
    bracket_types.

 pango/pango-bidi-type.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 87e713656de19846bede953fed41bd25b25252d9
Merge: a03d16a8 633fd804
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Jul 21 17:09:31 2018 +0000

    Merge branch 'patch-1' into 'master'

    fix comma-separated font list on macOS fixes #252

    Closes #252

    See merge request GNOME/pango!4

commit a03d16a850253eae321be4bd2d134a9c6a1ed6ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jul 18 22:32:54 2018 -0400

    1.42.2

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 meson.build  | 2 +-
 3 files changed, 9 insertions(+), 2 deletions(-)

commit 6b2c48571b31f95b68214752ce89e11f46b4b731
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jul 18 22:26:20 2018 -0400

    Add pango-list to meson build

 utils/meson.build | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 65f6fee5bfa5929fac1111badff6b497dd10d12a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 16 10:35:44 2018 +0200

    [fc] Speed-up font face enumeration

    Instead of a O(n^2.log(n)), we now do O(n) by avoiding calling
    FcFontList for each PangoFontFace, and FcFontMatch in
    pango_fc_face_describe().

    Makes pango-list over 100 times faster for me.

 pango/pangofc-fontmap.c | 94
 ++++++++++++++++++++-----------------------------
 1 file changed, 38 insertions(+), 56 deletions(-)

commit b1a5be6c245b6c3e7e0e7c5b88c15f475ea9a9d4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 16 10:37:04 2018 +0200

    [pango-list] Don't print sizes

    They are not used in font chooser, so don't call them.  My goal
    for pango-list was to measure font chooser performance...

 utils/pango-list.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0414be91fcf24dc995592609c3bc4ce569b7e2b8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 12 16:20:53 2018 +0200

    [fc] Remove ancient #ifdef FC_* conditionals

 pango/pangofc-fontmap.c | 33 +--------------------------------
 1 file changed, 1 insertion(+), 32 deletions(-)

commit 5eb16c3c397e3825e145b3127ddc172e34fce522
Merge: bd06f7b9 3cf58991
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 16 01:02:03 2018 +0000

    Merge branch 'wip/nirbheek/meson-declare-dependency' into 'master'

    meson: Add not-found dependencies for conditional declared deps

    See merge request GNOME/pango!6

commit bd06f7b94e563f276550cb81c3a0e5612c88c314
Merge: 58b1930c 5507a16c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 16 00:53:13 2018 +0000

    Merge branch 'requires-private-fribidi' into 'master'

    pango.pc.in: Add fribidi to Requires.private

    Closes #301

    See merge request GNOME/pango!5

commit 58b1930c95db12deebb015870352e3e696583571
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 11 16:19:33 2018 +0200

    Requires.private fribidi

    Fixes https://gitlab.gnome.org/GNOME/pango/issues/301
    Fixes https://gitlab.gnome.org/GNOME/pango/issues/305

 pango.pc.in | 1 +
 1 file changed, 1 insertion(+)

commit 293d56ceeaf64b9909ba296965603edd0a656203
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 8 17:47:59 2018 +0200

    [fc] List all bitmap sizes of FcPattern

    Apple Color Emoji for example has multiple strikes... We were
    only listing first.

 pango/pangofc-fontmap.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit a1d2da411c2ff78165ad406e0f2befce3a117af1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 8 17:38:48 2018 +0200

    [pango-list] Minor fixup

 utils/pango-list.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3c1bda5c747e4039b11c7dc897c826885f6400de
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 8 17:34:35 2018 +0200

    [pango-list] Improve output format

    Also write out description of each face.  This is really broken for
    free-style style names (as we knew), and very slow, as is
    O(N^3.log(N))
    in the number of fonts...

 utils/pango-list.c | 42 ++++++++++++++++++++++++++++++------------
 1 file changed, 30 insertions(+), 12 deletions(-)

commit 0727ba98a52823deb44550c2977bf9bffbff3765
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 8 15:50:34 2018 +0200

    [utils] Add pango-list commandline tool

    My main interest is performance of font listing API.  Figured I can
    just make a tool out of it.  Output format to be improved.

 utils/Makefile.am  | 11 ++++++++
 utils/pango-list.c | 80
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

commit 0b785d94d3d8aa7f7fe76ac7851d088fc9541952
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 8 14:52:59 2018 +0200

    [pango-view] Remove unused include stdio.h

 utils/viewer.h | 1 -
 1 file changed, 1 deletion(-)

commit 899841121260d62fc3f1c1728f82f5c02185dd97
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 8 14:45:32 2018 +0200

    Rename pango-view/ dir to utils/

 Makefile.am                                         | 4 ++--
 configure.ac                                        | 2 +-
 meson.build                                         | 2 +-
 {pango-view => utils}/EMOJI-MODIFIERS.txt           | 0
 {pango-view => utils}/GLASS.txt                     | 0
 {pango-view => utils}/HELLO.txt                     | 0
 {pango-view => utils}/Makefile.am                   | 0
 {pango-view => utils}/meson.build                   | 0
 {pango-view => utils}/pango-view.c                  | 0
 {pango-view => utils}/test-arabic.txt               | 0
 {pango-view => utils}/test-chinese.txt              | 0
 {pango-view => utils}/test-devanagari.txt           | 0
 {pango-view => utils}/test-feature-tag.markup       | 0
 {pango-view => utils}/test-font-variations.markup   | 0
 {pango-view => utils}/test-gurmukhi.txt             | 0
 {pango-view => utils}/test-hebrew.txt               | 0
 {pango-view => utils}/test-ipa.txt                  | 0
 {pango-view => utils}/test-justify.txt              | 0
 {pango-view => utils}/test-lao.txt                  | 0
 {pango-view => utils}/test-latin.txt                | 0
 {pango-view => utils}/test-long-paragraph.txt       | 0
 {pango-view => utils}/test-mixed.markup             | 0
 {pango-view => utils}/test-mixed.txt                | 0
 {pango-view => utils}/test-mongolian.txt            | 0
 {pango-view => utils}/test-nko.txt                  | 0
 {pango-view => utils}/test-opentype-language.markup | 0
 {pango-view => utils}/test-syriac.txt               | 0
 {pango-view => utils}/test-tamil.txt                | 0
 {pango-view => utils}/test-thai.txt                 | 0
 {pango-view => utils}/test-tibetan.txt              | 0
 {pango-view => utils}/viewer-cairo.c                | 0
 {pango-view => utils}/viewer-cairo.h                | 0
 {pango-view => utils}/viewer-main.c                 | 0
 {pango-view => utils}/viewer-pangocairo.c           | 0
 {pango-view => utils}/viewer-pangoft2.c             | 0
 {pango-view => utils}/viewer-pangoxft.c             | 0
 {pango-view => utils}/viewer-render.c               | 0
 {pango-view => utils}/viewer-render.h               | 0
 {pango-view => utils}/viewer-x.c                    | 0
 {pango-view => utils}/viewer-x.h                    | 0
 {pango-view => utils}/viewer.h                      | 0
 41 files changed, 4 insertions(+), 4 deletions(-)

commit 5ec478dac9146175de7ba4a1f88ebbab963f4c0f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 8 14:34:34 2018 +0200

    Minor; use default hb_buffer_t Unicode funcs

 pango/pango-ot-buffer.c | 1 -
 1 file changed, 1 deletion(-)

commit 0a9f6a0c1f0e4750e2a9864392370a20c511e71e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 7 17:27:02 2018 +0200

    Make pango_bidi_type_for_unichar() not crash with new FriBidi

    This function has not been updated for latest FriBidi.
    Should add new types and / or deprecate this function.

 pango/pango-bidi-type.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9f65356b7b473b607bea0510709a4d7330be9c9a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 7 16:42:03 2018 +0200

    Short-circuit FriBidi call if paragraph is unidirectional

    This was included in Pango's mini-fribidi but removed when we moved to
    external FriBidi.

    Most apps create PangoLayout twice to show text, one to measure,
    one to
    render.  Each PangoLayout shaping apparently calls FriBidi twice
    (TODO:
    figure out why and fix); FriBidi creates two runs per work.  So that's
    eight malloc calls per word to show text.  That's a lot.  With this
    optimization that completely disappears for most text.

    We should make an API in FriBidi out of this.

    Reported by Christian Hergert.

 pango/pango-bidi-type.c | 69
 +++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 64 insertions(+), 5 deletions(-)

commit 3cf58991d5a3d47203b8b6f6ac02b674aaf5c13b
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Sat Jul 7 00:07:51 2018 +0530

    meson: Add not-found dependencies for conditional declared deps

    Instead of not defining the variable, or defining it to [], define it
    to the not-found dependency instead, so that when other projects (such
    as gtk+) are using pango as a subproject, they get a valid dependency
    object which tells them that the dependency cannot be found.

 pango/meson.build | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 5507a16c726ffdcedcf2ae22d4689f94823bf863
Author: Simon McVittie <smcv@debian.org>
Date:   Sun Jul 1 17:21:37 2018 +0100

    pango.pc.in: Add fribidi to Requires.private

    In current versions of pkg-config, the most appropriate place for most
    library dependencies is Requires.private. When compared with Requires,
    this avoids "overlinking" when an executable is linked to the pango
    shared library: in modern OSs, a shared library's library dependencies
    are
    automatically loaded by the dynamic linker along with that shared
    library.

    It would not be correct to omit fribidi from the .pc file either,
    because that would break static linking: when linking statically,
    it is necessary to list all dependencies explicitly, because static
    libraries (unlike shared libraries) do not carry their own dependency
    metadata.

    Using Requires.private also has the effect of adding fribidi's
    CFLAGS to the output of `pkg-config --cflags pango`. That is in fact
    unnecessary here, because fribidi is only used internally, so
    https://bugs.freedesktop.org/show_bug.cgi?id=105572 proposes a new
    dependency type "Requires.internal" which would additionally omit
    fribidi from `pkg-config --cflags pango`. However, this is not yet
    supported in pkg-config, so it cannot be used yet.

    For more details on Requires.private please see this article by the
    current Debian pkg-config maintainer and former upstream
    pkg-config maintainer:
    https://err.no/personal/blog/tech/2008-03-25-18-07_pkg-config,_sonames_and_Requires.private/
    and this description of the various dependency types that can exist:
    https://bugs.freedesktop.org/show_bug.cgi?id=105572#c1

    Fixes: #301
    Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=895235
    Signed-off-by: Simon McVittie <smcv@debian.org>

 pango.pc.in | 1 +
 1 file changed, 1 insertion(+)

commit 633fd80428374b0c675e3dcf563c06ff9e4876b0
Author: Pravdomil Toman <pravdomil.toman@gmail.com>
Date:   Wed Jun 27 20:15:19 2018 +0000

    fix comma-separated font list on macOS fixes #252

 pango/pangocoretext-fontmap.c | 58
 +++++++++++++++++++++++++++----------------
 1 file changed, 36 insertions(+), 22 deletions(-)

commit cdb88930da73bdbeb0e6167825121435d7e5e99f
Merge: 4032ff27 37881737
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat May 26 22:53:51 2018 +0000

    Merge branch 'ci' into 'master'

    Initial CI config

    Closes #310

    See merge request GNOME/pango!2

commit 37881737cda04b2f773a0d807880dd8bd989efcf
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun May 27 00:51:15 2018 +0200

    Initial CI config

    Fixes https://gitlab.gnome.org/GNOME/pango/issues/310

 .gitlab-ci.yml | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 4032ff276cc73f368459b8d341ebcdcadff53640
Merge: f661cdbf 73e45483
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat May 26 20:58:54 2018 +0000

    Merge branch '304-fix-linker-options-on-darwin' into 'master'

    Resolve "Fix linker options on Darwin"

    Closes #304

    See merge request GNOME/pango!1

commit 73e454832a7ac592dfa600cb6b495dc99660b0ca
Author: Philip Chimento <philip.chimento@gmail.com>
Date:   Sat Apr 7 23:50:32 2018 -0700

    build: Correct Darwin linker options

    The Darwin linker doesn't want equal signs here.

    Closes: #304

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f661cdbf8cfbdb2ba7241d8dfa4a579c6dfe0a94
Author: John Ralls <jralls@ceridwen.us>
Date:   Sun Apr 29 16:03:08 2018 -0700

    Restore scaling of CoreText fonts.

    Fixes bug 787867.

 pango/pangocairo-coretextfont.c    | 17 ++++++++++++++++-
 pango/pangocairo-coretextfontmap.c |  2 +-
 pango/pangocoretext-fontmap.c      | 15 ++++++++++++---
 pango/pangocoretext-private.h      |  2 ++
 pango/pangocoretext.c              |  5 +----
 tests/test-layout.c                | 11 +----------
 6 files changed, 33 insertions(+), 19 deletions(-)

commit edb0dff3454d4d9ce6242a0f30ddaef993ee1e89
Author: Kalev Lember <klember@redhat.com>
Date:   Mon May 7 12:34:21 2018 +0200

    build: Bump required harfbuzz version

    We use hb_variation_t that was added in harfbuzz 1.4.2.

 configure.ac | 2 +-
 meson.build  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d983aa95537d67ef14417dc3663edea36b653e86
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Apr 25 21:58:03 2018 +0200

    Revert "Add fribidi dependency to pango.pc"

    This reverts commit 68cc13d04ed9d89609727f4448e5d2e08dd6626c.

 pango.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 63e1fc9b23b4f0e8eaacd151ad39403eaa2b48ef
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Apr 11 13:52:07 2018 +0200

    Use non-deprecated libthai API when available

    I’m assuming the new API is thread-safe as claimed.

 configure.ac       |  4 ++++
 meson.build        |  4 ++++
 pango/break-thai.c | 16 +++++++++++-----
 3 files changed, 19 insertions(+), 5 deletions(-)

commit 5d46e21df66a11233186ddf27ca8c70149307871
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Sat Apr 7 06:44:53 2018 +0200

    pangowin32: fix script cache hash key for 64bit builds

    It joins the HFONT and script key to a gint64 and uses this as a
    hash key, but HFONT is a pointer type and on 64bit Windows it
    doesn't fit in 32bit and the value gets truncated.

    This breaks the build with meson where -Werror=pointer-to-int-cast
    is enabled by default.

    Instead of using the gint64 hash functions add our own key type
    and implement
    matching hash and equality functions for it.

    https://bugzilla.gnome.org/show_bug.cgi?id=795045

 pango/pangowin32-shape.c | 30 +++++++++++++++++++++++++-----
 1 file changed, 25 insertions(+), 5 deletions(-)

commit 8e86f613160d023257d041ff24f94c88a8e12a46
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Sun Apr 8 19:16:49 2018 +0200

    meson: skip pangoxft headers for the Windows gtk-doc build

    The API isn't available on Windows and gtk-doc fails with a
    linker error otherwise.

    https://bugzilla.gnome.org/show_bug.cgi?id=795045

 docs/meson.build | 5 +++++
 1 file changed, 5 insertions(+)

commit 0fc06306063d8f3c8bd1e0d371eeb35ba9a9ea64
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Sat Apr 7 06:33:43 2018 +0200

    build: move usp10 before gdi32

    Without this pango on mingw64 tries to lookup up the Script* functions
    in gdi32 and fails. It already fails at the build stage because the
    introspection dump crashes with a missing entry point error.

    Moving usp10 before gdi32 makes things work.

    This might be related to the warning in the uniscribe docs:
    "Important Starting with Windows 8: To maintain the ability to run on
    Windows 7, a module that uses Uniscribe must specify Usp10.lib
    before gdi32.lib in its library list."

    https://bugzilla.gnome.org/show_bug.cgi?id=795045

 pango/Makefile.am | 2 +-
 pango/meson.build | 4 +++-
 pangowin32.pc.in  | 2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 4b16a0bf5c9795fe57255d5594a27c3cef634202
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Apr 8 00:56:06 2018 +0200

    Remove stray letters in NEWS

    Introduced in 46f8583c87c45b304ac98d06005c49df67d53b07

 NEWS | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 46f8583c87c45b304ac98d06005c49df67d53b07
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Apr 7 10:08:56 2018 +0000

    1.42.1

 NEWS         | 9 +++++++--
 configure.ac | 2 +-
 meson.build  | 2 +-
 3 files changed, 9 insertions(+), 4 deletions(-)

commit 34a7c7a7cd165997dd6d4ae7b1f90472e0844118
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Thu Apr 5 22:04:43 2018 +0200

    meson: don't use quotes in help2man options to work around a MinGW
    Python bug

    For some reason MinGW Python (the one running meson) mangles arguments
    for this case (even adding a space makes it work). Since quotes
    are not needed here just drop them.

    Python issue filed upstream:
    https://github.com/Alexpux/MINGW-packages/issues/3548

    https://bugzilla.gnome.org/show_bug.cgi?id=795012

 pango-view/meson.build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6fcae8644b9231edba93d795963a39e3a9612a7e
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Thu Apr 5 21:31:23 2018 +0200

    win32: remove redundant function declarations

    The meson build uses -Werror=redundant-decls and fails.

    https://bugzilla.gnome.org/show_bug.cgi?id=795012

 pango/pangowin32-shape.c | 2 --
 pango/pangowin32.c       | 5 -----
 2 files changed, 7 deletions(-)

commit b136f150b4e230db7901af0d88d3c91a3a4c9e7c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 30 16:31:53 2018 +0800

    pangowin32-fontmap.c: Add an Emoji font family

    Add an Emoji font family that maps to the following fonts in this
    order
    (by fallback):
    Segoe UI Emoji
    Segoe UI Symbol
    Segoe UI

    This will enable Emoji to be displayed correctly in GTK+ apps (without
    the use of FontConfig) on Windows Vista and later, providing that one
    of the aforementioned fonts are installed.

    Note that this only enables Emoji display (*not* colored ones) as
    achieving colored Emoji requires PangoWin32 and Cairo to be ported to
    Direct2D and DirectWrite from Uniscribe and GDI, as Uniscribe and GDI
    does not support colored Emoji.

    https://bugzilla.gnome.org/show_bug.cgi?id=794705

 pango/pangowin32-fontmap.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 08649ce12fb7ea41928a17f05fa1916cbe44361c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Mar 19 20:54:23 2018 +0800

    tests/markup-parse.c: Fix build on Visual Studio

    Visual Studio does not ship with a unistd.h, so include the proper
    header on Windows when unistd.h is not found on Windows.

 tests/markup-parse.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 18fb749d658e86edad8145a3032c4b6e3be48d72
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 18 17:56:44 2017 +0800

    build: Add fallbacks for finding non-GNOME deps on MSVC

    Many of Pango's dependencies do not support a build system for Visual
    Studio that would generate the pkg-config files for them, so we
    need to
    try to look for them using cc.has_header() and cc.find_library() for
    them, namely for Cairo, FreeType, FontConfig and HarfBuzz as
    fallbacks.

    For Cairo, things are more complicated as there are multiple build
    options and configurations for it, so we need to check for those
    that we
    need after we find the Cairo headers and libraries by:

    -Including the respective headers (for cairo-win32.h, cairo-ps.h,
     cairo-pdf.h, cairo-quartz.h and cairo-xlib.h, since these features
     must have been enabled when Cairo is built and installed in order for
     those headers to be succesfully included)
    -For pangocairo with FreeType support, we need to check whether the
     FontConfig support is built into Cairo as well, as FontConfig support
     is actually required in Cairo for this.
    -For Cairo/PNG output surface support, check whether Cairo is
    built with
     PNG output surface support.

    We also need to update how pangocairo.pc and pangoft2 are generated:
    -On builds where pkg-config files can be found for cairo, freetype,
     fontconfig and/or harfbuzz:
     Generate it with "Requires: pango <depedencies>" as before, otherwise
     for MSVC builds where we find these libraries manually, we don't put
     these packages under "Requires:..." or "Requires.private:...", but
     instead put them under "Libs:", linking to each dep as -l<.lib file
     name>

    This is so that pangocairo.pc and pangooft2.pc can be correctly
    used by
    items that need to make use of it, such as g-ir-scanner.

    https://bugzilla.gnome.org/show_bug.cgi?id=783274

 configure.ac     |  19 +++++++
 meson.build      | 147
 ++++++++++++++++++++++++++++++++++++++++++++++++++++---
 pangocairo.pc.in |   4 +-
 pangoft2.pc.in   |   6 +--
 4 files changed, 164 insertions(+), 12 deletions(-)

commit 55afeeca8031ba74cbcdf569500334ebef6b61e0
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 31 17:17:17 2017 +0800

    meson: Check for HarfBuzz and FontConfig for PangoFT2

    It is possible that we can have the following situations, at least on
    Windows:
    -FreeType present, FontConfig missing
    -Cairo-FT present, with no FontConfig support.

    As gen-script-for-lang requires FontConfig, and PangoFT2 depends on
    HarfBuzz, FontConfig and Freetype, we need to check for them before we
    build PangoFT2, and so that we could include PangoFT2 support in
    PangoCairo.

    The tests and pango-view have an optional dependency on PangoFT2,
    so we
    need to also check whether we built PangoFT2 before we try to build
    things related to PangoFT2.

    For the tools, since gen-script-for-lang.c depends on FontConfig,
    check
    for it as well before we build it.

    https://bugzilla.gnome.org/show_bug.cgi?id=783274

 docs/meson.build       |  2 +-
 meson.build            | 19 +++++++++++++++----
 pango-view/meson.build |  4 ++--
 pango/meson.build      |  2 +-
 tests/meson.build      |  2 +-
 tools/meson.build      | 12 +++++++-----
 6 files changed, 27 insertions(+), 14 deletions(-)

commit ec8251d9728d0691365249eec4c681218e379819
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Mar 27 18:04:51 2018 +0200

    Update version number in meson.build as well

    Follow up of commit d4f3370336a40907f528a41e75a55fe4f50c1a11.
    Maintaining two build systems is tricky!

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 68cc13d04ed9d89609727f4448e5d2e08dd6626c
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Mar 26 12:00:32 2018 +0200

    Add fribidi dependency to pango.pc

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=794570

 pango.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3dfe2b9a5c8ac5ae37c210ba050f3720189cebb7
Author: Patrick Griffis <tingping@tingping.se>
Date:   Fri Mar 9 15:03:28 2018 +0000

    Fix view-cairo on Windows

 pango-view/viewer-cairo.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit dd4f26d4e01cde141feed16ddad1f9d522812514
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Mar 14 00:41:07 2018 +0200

    Drop mention of long gone files

 docs/Makefile.am | 2 --
 docs/meson.build | 1 -
 2 files changed, 3 deletions(-)

commit 248669f3ba716a990fb164e32d69ef81185a8ac3
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Mar 14 00:15:38 2018 +0200

    Modules are long gone

 HACKING          | 4 ----
 README           | 3 ---
 docs/Makefile.am | 1 -
 docs/meson.build | 1 -
 4 files changed, 9 deletions(-)

commit d4f3370336a40907f528a41e75a55fe4f50c1a11
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 12 16:02:24 2018 +0000

    1.42.0

 NEWS         | 4 ++++
 configure.ac | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 505eeb7b89cce51ec1226de399c4e772433d3cb6
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Feb 17 12:12:04 2018 +0200

    Update README a bit

    Fix FontConfig casing, remove a dead link and outdated sections.

 README | 38 ++++----------------------------------
 1 file changed, 4 insertions(+), 34 deletions(-)
